<?php
// $Id:$

/**
 * @file
 *   This file provides a CTools content type containing the fivestar pane.
 */

/**
 * Callback function to supply a list of content types.
 */
function fivestar_pane_fivestar_pane_ctools_content_types() {
  return array(
    'single' => TRUE,
    'title' => t('Fivestar Pane'),
    'icon' => 'icon_node.png',
    'description' => t('Display results from fivestar voting.'),
    'required context' => new ctools_context_required(t('Node'), 'node'),
    'category' => t('Node'),
    'defaults' => array('image_path' => '', 'template_file' => 'fivestar-pane'),
  );
}

/**
 * Output function for the 'fivestar pane' content type.
 */
function fivestar_pane_fivestar_pane_content_type_render($subtype, $conf, $panel_args, $context) {
  $node = isset($context->data) ? drupal_clone($context->data) : NULL;
  $block = new stdClass();

  if ($node) {
    $block->title = check_plain($node->title);
    $block->content = fivestar_static('node', $node->nid, NULL, $node->type);
  }
  else {
    $block->content = "Voting information not available";
  }

  return $block;
}

/**
 * Returns an edit form for the custom type.
 */
function fivestar_pane_fivestar_pane_content_type_edit_form(&$form, &$form_state) {

}

function fivestar_pane_fivestar_pane_content_type_edit_form_submit(&$form, &$form_state) {
  // Copy everything from our defaults.
  foreach (array_keys($form_state['plugin']['defaults']) as $key) {
    $form_state['conf'][$key] = $form_state['values'][$key];
  }
}

function fivestar_pane_fivestar_pane_content_type_admin_title($subtype, $conf, $context) {
  return t('"@s" fivestar pane', array('@s' => $context->identifier));
}


